<?
function job_name($cmd) {
    switch ($cmd) {
        case 'short_price_update':
            return 'Быстрое обновление';
        case 'full_price_update':
            return 'Полное обновление';
        case 'clear_old_products':
            return 'Чистка задач';
        case 'update_products':
            return 'Обновление продуктов';
        case 'create_products':
            return 'Создание продуктов';
        case 'hide_duplicates':
            return 'Скрытие дубликатов';
        case 'get_products_info':
            return 'Создание карточек продуктов';

        default:
            return $cmd;
    }
}

function job_status($status)
{
    switch ($status) {
        case '1':
            return 'Запущен';
        case '2':
            return 'Готово';
        case '3':
            return 'Ошибка';
        case '4':
            return 'В очереди';
        case '5':
            return 'Отменен';

        default:
            return $status;
    }
}

?>


<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
    <input id="user_token" type="hidden" value="<?php echo $token; ?>"/>
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <a href="<?php echo $back; ?>" data-toggle="tooltip" title="<?php echo $button_back;?>"
                   class="btn btn-default"><i
                            class="fa fa-reply"></i></a>
            </div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>

    <div class="container-fluid">
        <?php if ($error_warning) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <?php if ($success) { ?>
        <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>

        <? if (!$isActualVersion) { ?>
        <div class="alert alert-info">
            <b>Обновление:</b> Доступна новая версия модуля <b><a href="https://4dealer.ru/api_opencart"
                                                                  target="_blank">4dealer v<?=$actualVersion?>.</a></b>
            Пожалуйста, <b><a href="https://4dealer.ru/api_opencart" target="_blank">обновитесь</a></b>
        </div>
        <? } ?>

        <div class="panel panel-default">
            <div class="panel-body">

                <ul class="nav nav-tabs">
                    <li
                    <?=($current_tab == 'dealers_list') ? 'class="active"' : '' ?>>
                    <a href="#tab-dealers_list" data-toggle="tab"><?php echo $tab_dealers_list; ?></a>
                    </li>
                    <li
                    <?=($current_tab == 'dealers_cat') ? 'class="active"' : '' ?>>
                    <a href="#tab-dealers_cat" data-toggle="tab"><?php echo $tab_dealers_cat; ?></a>
                    </li>
                    <li
                    <?=($current_tab == 'dealers_settings') ? 'class="active"' : '' ?>>
                    <a href="#tab-dealers_settings" data-toggle="tab"><?php echo $tab_dealers_settings; ?></a>
                    </li>
                    <li
                    <?=($current_tab == 'settings') ? 'class="active"' : '' ?>>
                    <a href="#tab-settings" data-toggle="tab"><?php echo $tab_settings; ?></a>
                    </li>
                    <li
                    <?=($current_tab == 'options_merge') ? 'class="active"' : '' ?>>
                    <a href="#tab-options_merge" data-toggle="tab">Сведение свойств</a>
                    </li>
                    <li
                    <?=($current_tab == 'process_list') ? 'class="active"' : '' ?>>
                    <a href="#tab-process_list" data-toggle="tab">Список процессов</a>
                    </li>
                </ul>

                <div class="tab-content">
                    <div class="tab-pane <?=($current_tab == 'dealers_list') ? 'active' : '' ?>" id="tab-dealers_list">
                        <button class="run_dealers_update pull-right navbar-btn">Обновить выбранных дистрибьюторов
                        </button>
                        <table class="table">
                            <thead>
                            <tr>
                                <th scope="col">Быстрое обновление</th>
                                <th scope="col">Полное обновление</th>
                                <th scope="col">Название</th>
                                <th scope="col">Последнее обновление на 4dealer.ru</th>
                                <th scope="col">Последнее локальное обновление</th>
                                <th scope="col">Подписка до</th>
                                <th scope="col">Обновления по расписанию</th>
                                <th scope="col">Тип обновления</th>
                            </tr>
                            </thead>
                            <?php 
                            if ( is_array($dealers_list['prices']) ) 
                                foreach ( $dealers_list['prices'] as $price ) { 
                            ?>
                            <?php $job_status = ""; ?>
                            <?php $job_id = ""; ?>
                            <?php $job_records = ""; ?>
                            <?php $full_job_status = ""; ?>
                            <?php $full_job_id = ""; ?>
                            <?php $full_job_records = ""; ?>

                            <?php if ( isset( $dealers_list['jobs']['short_price_update'][$price['price_id']] ) ) { ?>
                            <?php $job_id           = $dealers_list['jobs']['short_price_update'][$price['price_id']]['cmd_id']; ?>
                            <?php $job_records      = $dealers_list['jobs']['short_price_update'][$price['price_id']]['records']; ?>
                            <?php $job_status       = $dealers_list['jobs']['short_price_update'][$price['price_id']]['status_name']; ?>
                            <?php } ?>
                            <?php if ( isset( $dealers_list['jobs']['full_price_update'][$price['price_id']] ) ) { ?>
                            <?php $full_job_id      = $dealers_list['jobs']['full_price_update'][$price['price_id']]['cmd_id']; ?>
                            <?php $full_job_records = $dealers_list['jobs']['full_price_update'][$price['price_id']]['records']; ?>
                            <?php $full_job_status  = $dealers_list['jobs']['full_price_update'][$price['price_id']]['status_name']; ?>
                            <?php } ?>

                            <tr>
                                <td>
                                    <input id="short_price_update_check-<?php echo $price['price_id']; ?>"
                                           data-cmd-id="<?php echo $job_id; ?>" <?= $job_id ? 'checked' : '' ?>
                                    class="checkbox update_dealer"
                                    type="checkbox" data-dealer-id="<?php echo $price['price_id']; ?>"
                                    value="short_price_update"/>
                                    <span id="short_price_update-<?php echo $price['price_id']; ?>"
                                          data-cmd-id="<?php echo $job_id; ?>"
                                          class="short_price_update_status"><?php echo $job_status; ?></span>
                                    <span id="short_price_update_records-<?php echo $price['price_id']; ?>"
                                          data-cmd-id="<?php echo $job_id; ?>"
                                          class="short_price_update_records"><?php echo $job_records; ?></span>
                                </td>
                                <td>
                                    <input id="full_price_update_check-<?php echo $price['price_id']; ?>"
                                           data-cmd-id="<?php echo $full_job_id; ?>" <?= $full_job_id ? 'checked' : '' ?>
                                    class="checkbox update_dealer"
                                    type="checkbox" data-dealer-id="<?php echo $price['price_id']; ?>"
                                    value="full_price_update"/>
                                    <span id="full_price_update-<?php echo $price['price_id']; ?>"
                                          data-cmd-id="<?php echo $full_job_id; ?>"
                                          class="full_price_update_status"><?php echo $full_job_status; ?></span>
                                    <span id="full_price_update_records-<?php echo $price['price_id']; ?>"
                                          data-cmd-id="<?php echo $full_job_id; ?>"
                                          class="full_price_update_records"><?php echo $full_job_records; ?></span>
                                </td>
                                <td>
                                    <?php echo $price['price_name']; ?>
                                </td>
                                <td><?php echo $price['4dealer_last_update']; ?></td>
                                <td><?php echo $price['local_last_update'] !== '1970-01-01 00:00:00' ? $price['local_last_update'] : '—'; ?></td>
                                <td><?php echo $price['subscription_end']; ?></td>
                                <td>
                                    <select data-price-id="<?php echo $price['price_id']; ?>"
                                            class="schedule_update_time form-control"
                                            id="schedule_update_time_<?php echo $price['price_id']; ?>">
                                        <option value="-1">Отключено</option>
                                        <?php for ( $i=0; $i<24; $i++ ) { ?>
                                        <?php $selected = ''; ?>
                                        <?php if ( $i == $price['schedule_update_time'] ) { ?>
                                        <?php $selected = 'selected';?>
                                        <?php } ?>
                                        <option
                                        <?php echo $selected; ?> value="<?=$i?>"><?=$i?></option>
                                        <?php } ?>
                                    </select>
                                </td>
                                <td>
                                    <select data-price-id="<?php echo $price['price_id']; ?>"
                                            class="schedule_update_type form-control"
                                            id="schedule_update_type_<?php echo $price['price_id']; ?>">
                                        <option value="short" <?= $price['meta']['auto_update_type'] == 'short' ? 'selected' : ''?>>Быстрое</option>
                                        <option value="full" <?= $price['meta']['auto_update_type'] == 'full' ? 'selected' : ''?>>Полное</option>
                                    </select>
                                </td>
                            </tr>
                            <?php } ?>
                        </table>
                        <button class="run_dealers_update pull-right navbar-btn">Обновить выбранных дистрибьюторов
                        </button>
                    </div>

                    <div class="tab-pane <?php echo ($current_tab == 'dealers_cat') ? 'active' : ''; ?>"
                         id="tab-dealers_cat">
                        <div class="d-flex align-items-center">
                            <select id="dealers_list" class="dealers_list form-control"
                                    data-tab="dealers_cat" style="max-width: 300px">
                                <option id="0">Выберите дистрибьютора</option>
                                <?php foreach ($dealers_list['prices'] as $price) { ?>
                                <option
                                <?php echo (isset($dealers_list['selected_id']) && $dealers_list['selected_id'] == $price['price_id']) ? 'selected' : '';?>
                                id="<?=$price['price_id']?>"><?=$price['price_name']?></option>
                                <?php } ?>
                            </select>

                            <?php if ($dealer_categories) { ?>
                            <button id="dealer_cat_import" style="margin-left: 10px">Импортировать категории
                                дистрибьютора
                            </button>
                            <br/>
                            <?php } ?>

                            <span style="margin-left: 15px">
                                * Для привязки кликните по каждой соответсвующей категории
                            </span>

                            <button title="Необходимо вызывать после удаления локальной категории" id="delete_empty_bindings" style="margin-left: auto">
                                Очистить привязки к несуществующим разделам
                            </button>
                        </div>

                        <!--div style="text-align: center">
                            <div style="float:left; width:50%;"><input id="dealer_cat_id" type="text" value=""/>
                            </div>
                            <div style="float:left; width:50%;"><input id="site_term_id" type="text" value=""/></div>
                        </div>
                        <div style="text-align: center">
                            <button id="btn_merge" class="navbar-btn">Установить</button>
                            <button id="btn_clear" class="navbar-btn">Очиситить</button>
                        </div-->


                        <hr style="margin-bottom: 0"/>

                        <div class="d-flex">
                            <div class="categories-section-wrapper">
                                <div class="categories-section__title">
                                    <h4 style="margin-bottom: 0">Категории дистрибьютора</h4>
                                    <div class="search-categories">
                                        <button class="button" style="display: flex !important; margin-left: 10px"
                                                data-toggle-matched="dealer_categories">
                                            Сведённые
                                        </button>

                                        <input html-search="dealer_categories" required=""
                                               html-search-options='{"wrapper":"#dealer_categories.categories-section", "parent":"ul", "item":"[data-filter-item]", "btn":"#btn-dealer-founded"}'
                                               class="regular-text search-categories__input no-outline"
                                               placeholder="Поиск по категориям">
                                        <button class="button mr-2"
                                                html-search-clear='[html-search="dealer_categories"]'
                                                html-search-navigator='[html-search="dealer_categories"]'>
                                            Очистить
                                        </button>
                                        <div class="founded-navigate-btn" id="btn-dealer-founded"
                                             html-search-navigator='[html-search="dealer_categories"]'></div>
                                    </div>
                                </div>
                                <div class="categories-section" id="dealer_categories">
                                    <?php
                                        if ($dealer_categories) {  echo $dealer_categories; }
                                        else {  echo '<div class="flex-center">Для начала, пожалуйста, выберите
                                    дистрибьютора
                                </div>
                                '; }
                                ?>

                            </div>
                        </div>
                        <div class="categories-section-wrapper">
                            <div class="categories-section__title">
                                <h4 style="margin-bottom: 0">Локальные категории</h4>
                                <div class="search-categories">
                                    <input html-search="local_categories" required=""
                                           html-search-options='{"wrapper":"#local_categories.categories-section", "parent":"ul", "item":"[data-filter-item]", "btn":"#btn-local-founded"}'
                                           class="regular-text search-categories__input no-outline"
                                           placeholder="Поиск по категориям">
                                    <button class="button mr-2" html-search-clear='[html-search="local_categories"]'
                                            html-search-navigator='[html-search="local_categories"]'>
                                        Очистить
                                    </button>
                                    <div class="founded-navigate-btn" id="btn-local-founded"
                                         html-search-navigator='[html-search="local_categories"]'></div>
                                </div>
                            </div>
                            <div class="categories-section" id="local_categories">
                                <?php echo $local_categories; ?>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="tab-pane <?php echo ($current_tab == 'dealers_settings') ? 'active' : ''; ?>"
                     id="tab-dealers_settings">
                    <div>
                        <h3>Управление параметрами импорта дистрибьютора</h3>
                        <div class="form-group">
                            <select id="dealers_list_settings" class="dealers_list form_control form-control"
                                    style="max-width: 400px"
                                    data-tab="dealers_settings">
                                <option id="0">Выберите дистрибьютора</option>
                                <?php foreach ($dealers_list['prices'] as $price) { ?>
                                <option
                                <?php echo (isset($dealers_list['selected_id']) && $dealers_list['selected_id'] == $price['price_id']) ? 'selected' : '';?>
                                id="<?=$price['price_id']?>"><?=$price['price_name']?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <? if (isset($dealers_list['selected_id'])) { ?>

                    <div>

                        <h3>Параметры</h3>

                        <form class="params form-horizontal">
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4">
                                    Числовое значение количества для "Мало" (*):
                                </label>
                                <div class="col-xs-3">
                                    <input id="small_quantity" class="general_params form-control" name="small_quantity"
                                           value="<?php echo (!isset($dealer_detail)) ? : $dealer_detail['dealer']['small_quantity_transform']; ?>"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4">
                                    Числовое значение количества для "Достаточно" (**):
                                </label>
                                <div class="col-xs-3">
                                    <input id="medium_quantity" class="general_params form-control"
                                           name="medium_quantity"
                                           value="<?php echo (!isset($dealer_detail)) ? : $dealer_detail['dealer']['medium_quantity_transform']; ?>"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4">
                                    Числовое значение количества для "Много" (***):
                                </label>
                                <div class="col-xs-3">
                                    <input id="large_quantity" class="general_params form-control" name="large_quantity"
                                           value="<?php echo (!isset($dealer_detail)) ? : $dealer_detail['dealer']['large_quantity_transform']; ?>"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4">Общая наценка:</label>
                                <div class="col-xs-3">
                                    <input id="price_markup" class="general_params form-control" name="price_markup"
                                           value="<?php echo (!isset($dealer_detail)) ? : $dealer_detail['dealer']['price_markup']; ?>"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4">Округление цены:</label>
                                <div class="col-xs-3" style="padding-top: 9px;">
                                    <select id="round_price" class="form-control">
                                        <?
                                            $selectedRoundPrice = ['', '', -1 => '', -2 => '', -3 => ''];

                                        if(isset($dealer_detail)) {
                                        $selectedRoundPrice[$dealer_detail['dealer']['round_price']] = 'selected';
                                        }
                                        ?>
                                        <option value="0"
                                        <?= $selectedRoundPrice[0] ?>>Нет</option>
                                        <option value="1"
                                        <?= $selectedRoundPrice[1] ?>>До целых</option>
                                        <option value="-1"
                                        <?= $selectedRoundPrice[-1] ?>>-1 порядок</option>
                                        <option value="-2"
                                        <?= $selectedRoundPrice[-2] ?>>-2 порядок</option>
                                        <option value="-3"
                                        <?= $selectedRoundPrice[-3] ?>>-3 порядок</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4">Правило округления:</label>
                                <div class="col-xs-3" style="padding-top: 9px;">
                                    <select id="round_rule" class="form-control">
                                        <?
                                            $selectedRoundRule = ['', ''];

                                            if(isset($dealer_detail)) {
                                                $selectedRoundRule[$dealer_detail['dealer']['round_rule']] = 'selected';
                                            }
                                        ?>
                                        <option value="0"
                                        <?= $selectedRoundRule[0] ?>>В большую сторону</option>
                                        <option value="1"
                                        <?= $selectedRoundRule[1] ?>>В меньшую сторону</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4" for="product_add_table">Таблица опций
                                    товара в описании:</label>
                                <div class="col-xs-3" style="padding-top: 9px;">
                                    <input id="product_add_table"
                                           type="checkbox" <? if (isset($dealer_detail) && $dealer_detail['dealer']['product_add_table']) { ?>
                                    checked="checked" <? } ?>/ >
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4" for="partno_in_model">Использовать "part
                                    no" в названии
                                    модели<br>(по умолчанию название товара):</label>
                                <div class="col-xs-3" style="padding-top: 9px;">
                                    <input id="partno_in_model"
                                           type="checkbox" <? if (isset($dealer_detail) && $dealer_detail['dealer']['meta']['partno_in_model'] == 1) { ?>
                                    checked="checked" <? } ?>/ >
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4" for="partno_in_model">
                                    Перезаписывать название товаров при обновлении
                                </label>
                                <div class="col-xs-3" style="padding-top: 9px;">
                                    <input id="overwrite_product_name"
                                           type="checkbox" <? if (isset($dealer_detail) && $dealer_detail['dealer']['meta']['overwrite_product_name'] == 1) { ?>
                                    checked="checked" <? } ?>/ >
                                </div>
                            </div>

                            <?php if ( isset($dealer_detail)) { ?>
                            <div class="form-group">
                                <label class="control-label col-xs-5 col-md-4" for="other_images">
                                    Загружать изображения товаров от других дистрибьюторов:
                                </label>
                                <div class="col-xs-3" style="padding-top: 9px;">
                                    <input id="other_images"
                                           type="checkbox" <? if ($dealer_detail['dealer']['other_images']) { ?>
                                    checked="checked" <? } ?>/ >
                                </div>
                            </div>
                            <?php } ?>

                            <div class="col-md-offset-5">
                                <button id="params_update" class="navbar-btn">Обновить значения параметров</button>
                            </div>
                        </form>

                        <div class="clearfix"></div>
                        <h3>Наценки</h3>

                        <table class="table table-sm">
                            <thead>
                            <tr>
                                <th scope="col">Раздел</th>
                                <th scope="col">Цена от</th>
                                <th scope="col">Цена до</th>
                                <th scope="col">Наценка</th>
                                <th style="text-align: center">РРЦ как конечная цена</th>
                                <th scope="col">Удалить наценку</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php if ( isset($dealer_detail['price_markups']) && is_array($dealer_detail['price_markups'])) { ?>
                            <?php foreach ( $dealer_detail['price_markups'] as $price_markup ) { ?>

                            <tr data-id="<?= $price_markup['id'] ?>">
                                <td>
                                    <select class="markup_params categories_tree col-xs-8 form-control"
                                            style="max-width: 450px"
                                            data-id="<?= $price_markup['id'] ?>">
                                        <?php echo $dealer_detail['price_markups_by_categories'][$price_markup['category_id']];?>
                                    </select>
                                </td>
                                <td><input class="markup_params price_from form-control"
                                           type="text" data-id="<?= $price_markup['id'] ?>"
                                           value="<?php echo $price_markup['price_low']; ?>"/></td>
                                <td><input class="markup_params price_to form-control"
                                           type="text" data-id="<?= $price_markup['id'] ?>"
                                           value="<?php echo $price_markup['price_high']; ?>"/></td>
                                <td><input class="markup_params price_markup form-control"
                                           type="text" data-id="<?= $price_markup['id'] ?>"
                                           value="<?php echo $price_markup['markup']; ?>"/></td>
                                <td style="text-align: center">
                                    <input class="checkbox markup_params price_is_rrc form-control"
                                           type="checkbox" <?= $price_markup['price_is_rrc'] ? 'checked' : '' ?>>
                                </td>

                                <td style="text-align: center">
                                    <a class="delete_price_markup delete" data-id="<?= $price_markup['id'] ?>"></a>
                                </td>

                            </tr>

                            <?php } ?>
                            <?php } ?>

                            <tr id="config">
                                <td>
                                    <select class="col-xs-8 form-control" id="categories_tree" style="max-width: 450px">
                                        <?php echo (!isset($dealer_detail)) ? : $dealer_detail['price_markups_general_category']; ?>
                                    </select>
                                </td>
                                <td><input class="markup_params price_from form-control" id="price_from" type="text"/>
                                </td>
                                <td><input class="markup_params price_to form-control" id="price_to" type="text"/></td>
                                <td><input class="markup_params price_markup form-control" id="price_markup_category"
                                           type="text"/>
                                </td>
                                <td style="text-align: center">
                                    <input id="price_is_rrc" class="checkbox markup_params price_is_rrc form-control"
                                           type="checkbox">
                                </td>
                                <td data-remove-on-add=""></td>
                            </tr>


                            </tbody>
                        </table>
                        <button id="add_price_markup" class="navbar-btn">Добавить наценку</button>

                    </div>

                    <? } else { ?>
                    <div class="flex-center" style="min-height: 50vh">
                        Пожалуйста, выберите дистрибьютора
                    </div>
                    <? } ?>

                </div>

                <div class="tab-pane <?=($current_tab == 'settings') ? 'active' : '' ?>" id="tab-settings">
                    <form action="<?php echo $settings; ?>" method="post" enctype="multipart/form-data"
                          id="settings"
                          class="form-horizontal">

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Логин доступа:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="for_dealer_import_settings_login"
                                       value="<?php echo $settings_login; ?>"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Ключ доступа:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="for_dealer_import_settings_token"
                                       value="<?php echo $settings_token; ?>"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Скрывать "дубликаты" товаров:</label>
                            <div class="col-sm-10">
                                <input id="other_images" name="for_dealer_import_settings_hide_dup"
                                       type="checkbox" <? if (isset($hide_dup) && $hide_dup == 'on') { ?>
                                checked="checked" <? } ?>/ >
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Ценовой критерий скрытия дубликатов:</label>
                            <div class="col-xs-3 col-md-2">
                                <select name="for_dealer_import_settings_hide_dup_cond" class="col-xs-8 form-control"
                                        id="hide_dup_cond">
                                    <option value="0"
                                    <? if (isset($hide_dup_cond) && $hide_dup_cond == 0) { ?>
                                    selected="selected" <? } ?> >Больше</option>
                                    <option value="1"
                                    <? if (isset($hide_dup_cond) && $hide_dup_cond == 1) { ?>
                                    selected="selected" <? } ?> >Меньше</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Фильтр названий:</label>
                            <div class="col-sm-10">
                                    <textarea name="for_dealer_import_settings_exclude_str" class="form-control"
                                              id="exclude_str"><?php echo $exclude_str; ?></textarea>
                                <small>Поле может содержать ключевые слова для фильтрации, указанные через запятую.
                                    Если в названиях товара встретится одно
                                    из ключевых слов, он не будет загружен. Не распространяется на уже загруженные
                                    товары.</small>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Количество вызовов выполняемых за итерацию:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control"
                                       name="for_dealer_import_settings_calls_per_iteration"
                                       value="<?= $calls_per_iteration ?>">

                                <small>
                                    Количество вызовов процесса за один шаг (от 1 до 7, по умолчанию 1) - при увеличении
                                    этого числа будет запущено большее
                                    количество процессов создания / обновления карточек товара. Увеличение количества
                                    вызовов может ускорить процесс обновления,
                                    но мы рекомендуем увеличивать это число, лишь до тех пор, пока количество
                                    создоваемых / обновляемых товаров в каждом процессе
                                    будет соответствовать мощностям сервера, в противном случае потребуется больше
                                    ресурсов, а при их нехватке процесс
                                    может завершиться с ошибкой.
                                </small>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Количество товаров за шаг быстрого обновления:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control"
                                       name="for_dealer_import_settings_short_step"
                                       value="<?= $short_step ?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Количество товаров за шаг полного обновления:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control"
                                       name="for_dealer_import_settings_full_step"
                                       value="<?= $full_step ?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Включить логирование</label>
                            <div class="col-sm-10">
                                <input id="logger" name="for_dealer_import_settings_logger"
                                       type="checkbox" <? if (isset($logger) && $logger) { ?>
                                checked="checked" <? } ?>/ >
                                <br>
                                <small>
                                    Путь к файлам логирования (разбивка по дням): <b>[корневая папка сайта]/system/storage/logs</b>
                                </small>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <div class="col-sm-offset-2 col-sm-15">
                            <button type="submit" class="btn-default">Сохранить</button>
                        </div>


                    </form>

                </div>


                <div class="tab-pane <?=($current_tab == 'options_merge') ? 'active' : '' ?>"
                     id="tab-options_merge">

                    <style>
                        .custom-combobox-toggle {
                            position: absolute;
                            top: 0;
                            bottom: 0;
                            margin-left: -1px;
                            padding: 0;
                        }
                    </style>


                    <!-- Modal -->
                    <div class="modal fade min-vh-50" id="replacesModal" style="opacity: 1 !important" tabindex="-1"
                         aria-labelledby="replacesModalLabel"
                         aria-hidden="true">

                        <div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
                            <div class="modal-content" style="min-height: 500px;">

                                <div class="modal-header">
                                    <h2 class="modal-title" id="replacesModalLabel">
                                        <small style="font-size: 14px">Список автозамен значений для
                                            свойства</small><br>
                                        <span id="replaces-modal-title">Закройте и откройте снова :(</span>
                                    </h2>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="modal-body" replaces-modal-content="">

                                </div>

                                <div replaces-modal-recover="" class="p-2 px-3 text-right">
                                    Есть несохраненные изменения! <a class="text-primary pointer">Восстановить?</a>
                                </div>

                                <div class="modal-footer d-flex justify-content-between">
                                    <button type="button" class="button button-primary" id="add-new-replace">
                                        Добавить автозамену значения
                                    </button>
                                    <button type="button" class="button button-primary mr-2" replaces-save-btn="">
                                        Сохранить
                                    </button>
                                </div>

                            </div>
                        </div>

                    </div>
                    <!-- /Modal -->

                    <h3 class="mt-4">Управление параметрами импорта дистрибьютора</h3>

                    <div class="d-flex form-group">

                        <select id="dealers_list" class="dealers_list form-control" style="max-width: 350px"
                                data-tab="options_merge">
                            <option id="0">Выберите дистрибьютора</option>
                            <?php foreach ($dealers_list['prices'] as $price) { ?>
                            <option
                            <?php echo (isset($dealers_list['selected_id']) && $dealers_list['selected_id'] == $price['price_id']) ? 'selected' : '';?>
                            id="<?=$price['price_id']?>"><?=$price['price_name']?></option>
                            <?php } ?>
                        </select>

                    </div>

                    <? if (isset($dealers_list['selected_id']) && $dealers_list['selected_id']) { ?>

                    <div>

                        <h3 class="mt-4">Автоматическая загрузка всех свойств (атрибутов)</h3>

                        <fieldset class="auto_load_options__wrapper">
                            <legend class="screen-reader-text">
                                <span></span>
                            </legend>
                            <label class="d-flex align-items-center">
                                <input value="true"
                                       type="checkbox" <?= $dealer_detail['dealer']['auto_load_options'] ? 'checked' : ''?>
                                class="regular-text" id="auto_load_options">
                                <b class="ml-2 pt-1">Автоматически загружать все свойства (атрибуты)</b>
                            </label>
                        </fieldset>
                        <br>

                        <p>
                            Данная опция позволит автоматически создавать и загружать все существующие свойства
                            (атрибуты) дистрибьютора в ваши товары.<br>
                            <b>Важно понимать:</b> количество свойств (атрибутов), их названия и значения будут переданы
                            напрямую из данных дистрибьютора.<br>
                            Вы можете воспользоваться инструментарием в секции <i>"Сведение свойств по разделу"</i> для
                            более тонкой настройки процесса импорта свойств (атрибутов)
                        </p>

                        <br>

                        <h3>Сведение свойств по категориям</h3>

                        <p>
                            Указанные ниже свойства (атрибуты) будут добавлены во все товары выбранного раздела
                        </p>

                        <small><i>Отсутствие выбора в списке ниже означает, что не были сведены соответствующие категории у данного дистрибьютора.</i></small><br><br>

                        <div class="d-flex align-items-end justify-content-start mb-3">

                            <select id="option_merge_section" class="categories_tree col-xs-8 form-control" combobox
                                    style="max-width: 400px">
                                <option id="0" value="0" selected>Выберите категорию</option>
                                <?
                                if (isset($dealer_detail['local_merged_categories'])) {
                                    foreach($dealer_detail['local_merged_categories'] as $id => $name) {
                                        echo '<option id="'. $id .'" value="'. $id .'">'. $name .'</option>';
                                    }

                                    if (isset($_GET['section_id']) && $_GET['section_id']) {
                                        echo "<script>document.querySelector('#option_merge_section').value = '" . $_GET['section_id'] . "'</script>";
                                    }

                                }
                                ?>
                            </select>

                            <?
                                echo "
                                <script>
                            let countSectionMergeOptions = JSON.parse('".json_encode(isset($options_merge_count) ?
                            $options_merge_count : [])."' || '{}');

                            for (let id in countSectionMergeOptions) {
                            let el = document.querySelector(`#option_merge_section [value=\"\${id}\"]`);
                            el.innerHTML += ' • 🏁 (свойств: ' + countSectionMergeOptions[id].cnt + ')';
                            }
                            </script>";

                            ?>

                            <div class="<?=isset($_GET['section_id']) && $_GET['section_id'] ? '' : 'd-none'?>">

                                <button class="button button-danger float-right-btn my-0 ml-5"
                                        id="multiple-create-options">
                                    Создать все существующие свойства по этому разделу
                                </button>

                            </div>

                        </div>

                        <div class="<?=isset($_GET['section_id']) && $_GET['section_id'] ? '' : 'd-none'?>">

                            <table class="table table-sm">
                                <thead>
                                <tr>
                                    <th>
                                        <b>Название свойства
                                                                        
                                                                               →    
                                            <span title="* - указывайте, если локальное название отличается от названия св-ва дистрибьютора">Заменить на *</span></b>
                                    </th>
                                    <th>
                                        <b>Автозамены значений</b>
                                    </th>
                                    <th style="text-align: center">
                                        <b>Удалить</b>
                                    </th>
                                </tr>
                                </thead>

                                <tbody>


                                <?php 
                                if (isset($options_merge)) {
                                foreach ( $options_merge as $optionMerge ) { ?>

                                <tr replaces-row-id="<?= $optionMerge['id'] ?>">

                                    <td class="d-flex">
                                        <input style="width: 320px" type="text" placeholder="Название свойства"
                                               data-id="option-name:<?= $optionMerge['id'] ?>"
                                               class="options_merge mr-2 form-control option_name"
                                               value="<?= $optionMerge['option_name'] ?>"/>
                                        →
                                        <input style="width: 320px" type="text"
                                               class="options_merge ml-2 form-control changed_option_name"
                                               value="<?= $optionMerge['changed_option_name'] ?>"
                                               placeholder="Заменить на (при необход.)"/>
                                    </td>
                                    <td>
                                        <button class="button button-primary" style="margin: 0px 0"
                                                data-json-replaces='<?= $optionMerge['replaces'] ?>'
                                        data-target="#replacesModal" data-toggle="modal">
                                        Открыть список атозамен
                                        (<span data-count-replaces="<?= $optionMerge['id'] ?>"><?= $optionMerge['replaces'] ? count(@json_decode($optionMerge['replaces'], true)) : 0 ?></span>)
                                        </button>
                                    </td>
                                    <td style="text-align: center">
                                        <a class="cursor dashicons dashicons-trash pointer delete delete_options_merge"
                                           data-id="<?= $optionMerge['id'] ?>"></a>
                                    </td>

                                </tr>

                                <?php } ?>
                                <?php } ?>

                                <tr id="config-options-merge">
                                    <td class="d-flex">
                                        <input style="width: 320px" type="text" placeholder="Название свойства"
                                               id="option_name"
                                               data-id="option-name:0" class="form-control mr-2"/>
                                        →
                                        <input style="width: 320px" type="text" placeholder="Заменить на (при необход.)"
                                               id="changed_option_name" class="form-control ml-2"/>
                                    </td>
                                    <td data-remove-on-add=""></td>
                                    <td data-remove-on-add=""></td>
                                </tr>

                                </tbody>

                            </table>

                            <button id="add_options_merge" class="navbar-btn">Добавить правило</button>

                        </div>

                        <div class="<?=isset($_GET['section_id']) ? 'd-none' : ''?>">

                            <div class="flex-center" style="height: 400px;">
                                Для начала, пожалуйста, выберите раздел
                            </div>

                        </div>

                    </div>

                    <? } else { ?>
                    <div class="flex-center" style="min-height: 50vh">
                        Пожалуйста, выберите дистрибьютора
                    </div>
                    <? } ?>

                </div>


                <div class="tab-pane <?=($current_tab == 'process_list') ? 'active' : '' ?>" id="tab-process_list">

                    <h3 class="mt-4">Список процессов</h3>

                    <div class="d-flex float-right mb-2">
                        <button class="button button-danger float-right-btn mr-2" delete-all-jobs>Удалить все процессы
                        </button>

                        <button class="button button-primary float-right-btn" delete-finished-jobs>Удалить завершенные
                        </button>
                    </div>

                    <table class="table table-sm dealers_table" style="margin-top: 10px">
                        <thead>

                        <tr>
                            <th class="manage-column column-thumb">Действия</th>
                            <th class="manage-column column-thumb">Прайс</th>
                            <th class="manage-column column-thumb">Функция</th>
                            <th class="manage-column column-thumb">Приоритет</th>
                            <th class="manage-column column-thumb">Статус</th>
                            <th class="manage-column column-thumb">Дата создания</th>
                            <th class="manage-column column-thumb">Дата запуска</th>
                            <th class="manage-column column-thumb">Дата выполнения</th>
                            <th class="manage-column column-thumb">Обработанно записей</th>

                        </tr>

                        </thead>

                        <?php foreach($processJobsList['jobs'] as $job) { ?>

                        <tr class="job-row-status-<?= $job['status'] ?>" id="job-row-status-<?= $job['cmd_id'] ?>">
                            <td>
                                <a onclick="if(!confirm('Вы точно хотите удалить этот процесс?')) event.stopPropagation()"
                                   delete-job="<?= $job['cmd_id'] ?>" title="Удалить процесс"
                                   alt="f182" class="delete dashicons-trash pointer">
                                </a>

                                <a repeat-job="<?= $job['cmd_id'] ?>" title="Повторить процесс"
                                   style="margin-left: 10px; font-size: 15px; margin-top: 3px;"
                                   alt="f182" class="dashicons dashicons-image-rotate pointer">
                                    <i class="fa fa-repeat fw"></i>
                                </a>
                            </td>
                            <td><?= $job['price_name'] ?></td>
                            <td>
                                <?= job_name($job['cmd']) ?> [<?= $job['cmd_id'] ?>]
                            </td>
                            <td>
                                <?= $job['priority'] ?>
                            </td>
                            <td class="status-col">
                                <?= job_status($job['status']) ?>
                            </td>
                            <td><?= $job['create_time'] ?></td>
                            <td><?= $job['start_time'] ?></td>
                            <td><?= $job['end_time'] ?></td>
                            <td><?= $job['records'] ?></td>

                        </tr>

                        <?php } ?>

                    </table>

                    <? if (!count($processJobsList['jobs'])) { ?>
                    <div class="flex-center" style="min-height: 50vh">
                        Здесь появятся списки процессов обновления дистрибьютеров, запущенные на вкладке "Список
                        доступных дистрибьюторов"
                    </div>
                    <? } ?>

                    <? if ($processJobsList['pages'] > 1) { ?>

                    <nav class="w-100 d-flex justify-content-center mt-3">
                        <ul class="pagination">
                            <? for($i = 0; $i < $processJobsList['pages']; $i++) { ?>
                            <li class="page-item pointer <?= ($i + 1) == $processJobsList['page'] ? 'active' : '' ?>">
                                <a class="page-link" data-href="[page]" data-param="jobs-list-page"
                                   data-page="<?= ($i + 1) ?>">
                                    <?= ($i + 1) ?>
                                </a>
                            </li>
                            <? } ?>
                        </ul>
                    </nav>

                    <? } ?>

                </div>


            </div>
        </div>
    </div>

</div>

</div>
<?php echo $footer; ?>
